<?php declare(strict_types=1);

namespace MyPrayerJournal;

/**
 * The recurrence for a prayer request
 */
class Recurrence
{
    /**
     * @param RecurrencePeriod $period The recurrence period
     * @param int|null $interval How many of the periods will pass before the request is visible again
     */
    public function __construct(public RecurrencePeriod $period, public ?int $interval = null) { }
}
