<?php declare(strict_types=1);

namespace MyPrayerJournal;

/**
 * The type of recurrence a request can have
 */
enum RecurrencePeriod
{
    /** Requests, once prayed, are available again immediately */
    case Immediate;

    /** Requests, once prayed, appear again in a number of hours */
    case Hours;

    /** Requests, once prayed, appear again in a number of days */
    case Days;

    /** Requests, once prayed, appear again in a number of weeks */
    case Weeks;
}
