<?php declare(strict_types=1);

namespace MyPrayerJournal;

/**
 * A note entered on a prayer request
 */
class Note
{
    /**
     * @param string $asOf The date/time this note was recorded
     * @param string $text The text of the note
     */
    public function __construct(public string $asOf, public string $text) { }
}
