<?php declare(strict_types=1);

namespace MyPrayerJournal;

/**
 * An action taken on a prayer request
 */
enum RequestAction
{
    /** The request was created */
    case Created;

    /** The request was marked as having been prayed for */
    case Prayed;

    /** The request was updated */
    case Updated;

    /** The request was marked as answered */
    case Answered;
}
